tourism_hub_cards_block:
  label: Cards block
  namespace: Organisms/TM - Tourism hub
  use: '@organisms/tm-th/tourism-hub-cards-block.twig'
  description: Cards block
  libraries:
    - tourism_hub_cards_block_lib:
        js:
          ../behaviors/tourism-hub.js: {}
        css:
          component:
            ../styles/tourism-hub.css: {}
  fields:
    header:
      type: text
      label: Header
      preview: Things to do near Aberdeen
    more_link_text:
      type: text
      label: More link text
      preview: More things to do
    more_link_url:
      type: text
      label: More link URL
      preview: /test
    collapse_filters_name:
      type: text
      label: Filter collapse text
      preview: Filter by location
    filters:
      type: object
      label: Tags
      description: Tags
      preview:
        - <a href="?category=2" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Food, drink and shopping</a>
        - <a href="?category=3" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Sport</a>
        - <a href="?category=4" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">History and Culture</a>
        - <a href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Outdoors</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Family</a>
    blocks:
      type: object
      label: Blocks
      description: Blocks
      preview:
        - img: <img class="w-100" src="https://picsum.photos/560/320?rnd=a1" alt="Some
            alt text"></img>
          title: Big ships are fun
          block_link: /
          badge_type: region
          badge_bottom: Aberdeen
        - img: <img class="w-100" src="https://picsum.photos/560/320?rnd=a2" alt="Some
            alt text"></img>
          title: Trains to the beach
          block_link: /
          badge_type: date
          badge_top: From
          badge_bottom: 16th Jun
        - img: <img class="w-100" src="https://picsum.photos/560/320?rnd=a3" alt="Some
            alt text"></img>
          title: Walk 'til you drop
          block_link: /
          badge_type: offer
          badge_top: 2FOR1<br>Admission
          badge_bottom: £14.50
        - img: <img class="w-100" src="https://picsum.photos/560/320?rnd=a1" alt="Some
            alt text"></img>
          title: Big ships are fun
          block_link: /
        - img: <img class="w-100" src="https://picsum.photos/560/320?rnd=a2" alt="Some
            alt text"></img>
          title: Trains to the beach
          block_link: /
          badge_type: date
          badge_top: From
          badge_bottom: 16th Jun
  settings:
    use_scroller:
      type: boolean
      label: Use scroller
      preview: true
    collapse_filters_open:
      type: boolean
      label: Filter open
      preview: true
